> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Requests

> Ingest API request records.
API key provides project_id, payload provides app_id (UUID or slug) for each record.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/ingest/requests
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/ingest/requests:
    post:
      tags:
        - Ingest
      summary: Ingest Requests
      description: >-
        Ingest API request records.

        API key provides project_id, payload provides app_id (UUID or slug) for
        each record.
      operationId: api_ingest_router_ingest_requests
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IngestRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IngestResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IngestRequest:
      properties:
        requests:
          items:
            $ref: '#/components/schemas/RequestRecord'
          title: Requests
          type: array
      required:
        - requests
      title: IngestRequest
      type: object
    IngestResponse:
      properties:
        accepted:
          title: Accepted
          type: integer
      required:
        - accepted
      title: IngestResponse
      type: object
    RequestRecord:
      properties:
        project_slug:
          title: Project Slug
          type: string
        app_id:
          title: App Id
          type: string
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        environment:
          title: Environment
          type: string
        method:
          title: Method
          type: string
        path:
          title: Path
          type: string
        status_code:
          title: Status Code
          type: integer
        response_time_ms:
          title: Response Time Ms
          type: number
        request_size:
          default: 0
          title: Request Size
          type: integer
        response_size:
          default: 0
          title: Response Size
          type: integer
        ip_address:
          default: ''
          title: Ip Address
          type: string
        user_agent:
          default: ''
          title: User Agent
          type: string
        consumer_id:
          default: ''
          title: Consumer Id
          type: string
        consumer_name:
          default: ''
          title: Consumer Name
          type: string
        consumer_group:
          default: ''
          title: Consumer Group
          type: string
        request_payload:
          default: ''
          title: Request Payload
          type: string
        response_payload:
          default: ''
          title: Response Payload
          type: string
      required:
        - project_slug
        - app_id
        - timestamp
        - environment
        - method
        - path
        - status_code
        - response_time_ms
      title: RequestRecord
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````